#!/usr/bin/perl -I lib
use strict;
use warnings;
use Image::ExifTool qw(:Public);

# don't buffer
BEGIN { $| = 1 }

# read standard input
while (<>) {

	# get rid of trailing new line (if present)
	chomp;
	
	# get exif tags info 
	my $info = ImageInfo($_);

	# print the contents, key<newline>value
	foreach my $key (keys %$info) {
		print "{extracted-key}:$key\n";
		print "$$info{$key}\n";
	}

	# finished this record
	print "---finished---";

}
